OperationCreateConicalBentPlateByFaces Method (Part, Face, Part, Face, Double, Double) |
Modifies the first plate by adding a conical bend that connects it to the second plate
creating a new BentPlate instance based on two parts and selected faces in each part, and the
largest radius of the conical section and the cone aperture.
This method can change GUID when using from plug-ins.
To keep GUID, use AddLeg(ConnectiveGeometry, LineSegment, ConnectiveGeometry, LineSegment, Double).
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public static BentPlate CreateConicalBentPlateByFaces( Part part1, Face face1, Part part2, Face face2, double largestRadius, double halfAperture )
Parameters
- part1
- Type: Tekla.Structures.ModelPart
The first part. - face1
- Type: Tekla.Structures.SolidFace
The selected solid face on the first part. - part2
- Type: Tekla.Structures.ModelPart
The second part. - face2
- Type: Tekla.Structures.SolidFace
The selected solid face on the second part. - largestRadius
- Type: SystemDouble
Largest radius of the conical section - halfAperture
- Type: SystemDouble
Angle between a generatrix of the cone and its center line (i.e. axis)
Return Value
Type: BentPlateThe bent plate object if successful, null otherwise.
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not create ConnectiveGeometry instance. |
ArgumentException | Thrown when faces have incorrect number of face points or received unsupported bent plate creation input. |
See Also